# Class SmilesSearch

java.lang.Object
org.jmol.util.JmolMolecule
org.jmol.smiles.SmilesSearch

public class SmilesSearch extends JmolMolecule
A class to build and carry out a SMILES or SMARTS match

Author:
  Bob Hanson hansonr@stolaf.edu

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SmilesSearch.SmilesTarget`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`autoAddImplicitH`
`boolean`
`mapUnique`
`SmilesStereo`
`polyhedronStereo`
indicates that we have [XxPHn] with no connected atoms

### Fields inherited from class JmolMolecule

`ac, altElementCounts, altElementMax, atNos, atomList, elementCounts, elementNumberMax, firstAtomIndex, indexInModel, mf, modelIndex, moleculeIndex, nElements, nodes`

## Constructor Summary

Constructors
Constructor
Description
`SmilesSearch()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object ss)`
`int`
`hashCode()`
`void`
`reset()`
`String`
`toString()`

### Methods inherited from class JmolMolecule

`addMolecule, getBitSetForMF, getBranchBitSet, getBranchesForInversion, getMFArray, getMolecularFormula, getMolecularFormulaAtoms, getMolecules`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### mapUnique

public boolean mapUnique

### polyhedronStereo

public SmilesStereo polyhedronStereo
indicates that we have [XxPHn] with no connected atoms

### autoAddImplicitH

public boolean autoAddImplicitH

## Constructor Details

### SmilesSearch

public SmilesSearch()

## Method Details

### reset

public void reset()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object ss)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`